Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#20 closed defect (fixed)

ubuntugis-unstable auto update broken

Reported by: njw23 Owned by: vfoley
Component: General Severity: serious
Keywords: Cc: vagvaf@…

Description

The problem seems to be geos. Attempting to install updates with Update Manager fails. apt-get install -f gives:

The following extra packages will be installed:

libgeos++-dev

Suggested packages:

libgdal-doc

The following NEW packages will be installed:

libgeos++-dev

0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded. 2 not fully installed or removed. Need to get 0 B/1,587 kB of archives. After this operation, 6,812 kB of additional disk space will be used. Do you want to continue [Y/n]? Y (Reading database ... 241533 files and directories currently installed.) Unpacking libgeos++-dev (from .../libgeos++-dev_3.3.1-4oneiric1_amd64.deb) ... dpkg: error processing /var/cache/apt/archives/libgeos++-dev_3.3.1-4oneiric1_amd64.deb (--unpack):

trying to overwrite '/usr/lib/libgeos_c.a', which is also in package libgeos-dev 3.3.1-4oneiric1

dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Errors were encountered while processing:

/var/cache/apt/archives/libgeos++-dev_3.3.1-4oneiric1_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

The following packages have unmet dependencies: libgeos-c1: Depends: libgcc1 (>= 1:4.1.1) but 1:4.6.1-9ubuntu3 is installed

Depends: libgeos++-dev (>= 3.3.1) but it is not installed Depends: libstdc++6 (>= 4.1.1) but 4.6.1-9ubuntu3 is installed

Package manager then attempts to repair repeatedly, and fails with:

installArchives() failed: (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 241533 files and directories currently installed.) Unpacking libgeos++-dev (from .../libgeos++-dev_3.3.1-4oneiric1_amd64.deb) ... dpkg: error processing /var/cache/apt/archives/libgeos++-dev_3.3.1-4oneiric1_amd64.deb (--unpack):

trying to overwrite '/usr/lib/libgeos_c.a', which is also in package libgeos-dev 3.3.1-4oneiric1

dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Errors were encountered while processing:

/var/cache/apt/archives/libgeos++-dev_3.3.1-4oneiric1_amd64.deb

Error in function: dpkg: dependency problems prevent configuration of libgeos-c1:

libgeos-c1 depends on libgeos++-dev (>= 3.3.1); however:

Package libgeos++-dev is not installed.

dpkg: error processing libgeos-c1 (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of libgeos-dev:

libgeos-dev depends on libgeos-c1 (= 3.3.1-4oneiric1); however:

Package libgeos-c1 is not configured yet.

dpkg: error processing libgeos-dev (--configure):

dependency problems - leaving unconfigured

Ubuntu 11.10 (amd64)

Hope this is helpful. Is there anything I've left out?

Change History (4)

comment:1 by vfoley, 10 years ago

Owner: changed from ubuntu@… to vfoley

The 3.3 GEOS package has been removed and downgraded back to 3.2 until the conflict between libgeos++-dev and libgeos-3.3.1 can be worked out.

I apologize for the inconvenience.

Vincent.

comment:2 by vagvaf, 10 years ago

Cc: vagvaf@… added

comment:3 by vfoley, 10 years ago

Resolution: fixed
Status: newclosed

comment:4 by aboudreault, 10 years ago

Geos 3.3 has been deleted from the repository. GEOS 3.2 is back. If you still have the same errors: see the posted solution: http://lists.osgeo.org/pipermail/ubuntu/2012-January/000467.html

Note: See TracTickets for help on using tickets.